Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2
Class ReadonlyContext

    java.lang.Object
      org.apache.commons.jexl2.ReadonlyContext

All Implemented Interfaces:
  JexlContext

    public final class ReadonlyContext

extends Object
implements JexlContext

A readonly context wrapper.

Since:
  2.1

Constructor Summary
`ReadonlyContext(JexlContext context)` Creates a new readonly context.

Method Summary
`Object` | `get(String name)` Gets the value of a variable.
`boolean` | `has(String name)` Checks whether a variable is defined in this context.
`void` | `set(String name, Object value)` Will throw an UnsupportedOperationException when called; the JexlEngine deals with it appropriately.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadonlyContext

    public ReadonlyContext(JexlContext context)

  Creates a new readonly context.

  Parameters:
    `context` - the wrapped context

Method Detail

### get

    public Object get(String name)

  Gets the value of a variable.

  Specified by:
    `get` in interface `JexlContext`
  Parameters:
    `name` - the variable's name
  Returns:
    the value

### set

    public void set(String name,
                    Object value)

  Will throw an UnsupportedOperationException when called; the JexlEngine deals with it appropriately.

  Specified by:
    `set` in interface `JexlContext`
  Parameters:
    `name` - the unused variable name
    `value` - the unused variable value

### has

    public boolean has(String name)

  Checks whether a variable is defined in this context.

  A variable may be defined with a null value; this method checks whether the value is null or if the variable is undefined.

  Specified by:
    `has` in interface `JexlContext`
  Parameters:
    `name` - the variable's name
  Returns:
    true if it exists, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.